diff -ur gwave-code-249-trunk.orig/src/guile-compat.c gwave-code-249-trunk/src/guile-compat.c
--- gwave-code-249-trunk.orig/src/guile-compat.c	2008-12-27 12:19:42.000000000 -0700
+++ gwave-code-249-trunk/src/guile-compat.c	2016-08-15 11:35:19.686041341 -0600
@@ -23,7 +23,7 @@
 #include <config.h>
 #endif
 
-#include <guile/gh.h>
+#include <libguile.h>
 
 #include "guile-compat.h"
 
@@ -56,7 +56,7 @@
                         *lenp = 0;
                 return NULL;
         }
-        len = scm_i_string_length (str);
+        len = scm_c_string_length (str);
         res = scm_malloc (len + 1);
         memcpy (res, scm_i_string_chars (str), len);
         res[len] = '\0';   //unconditionaly null terminate
diff -ur gwave-code-249-trunk.orig/src/rgeval.c gwave-code-249-trunk/src/rgeval.c
--- gwave-code-249-trunk.orig/src/rgeval.c	2008-12-27 12:19:42.000000000 -0700
+++ gwave-code-249-trunk/src/rgeval.c	2016-08-15 11:35:19.686041341 -0600
@@ -8,7 +8,7 @@
  */
 #include <stdio.h>
 #include <string.h>
-#include <guile/gh.h>
+#include <libguile.h>
 
 #ifdef HAVE_CONFIG_H
 #include "config.h"
diff -ur gwave-code-249-trunk.orig/src/scwm_guile.c gwave-code-249-trunk/src/scwm_guile.c
--- gwave-code-249-trunk.orig/src/scwm_guile.c	2008-01-22 20:52:08.000000000 -0700
+++ gwave-code-249-trunk/src/scwm_guile.c	2016-08-15 11:37:03.732234328 -0600
@@ -31,7 +31,6 @@
 #include <limits.h>
 #include <assert.h>
 
-#include <guile/gh.h>
 #include <libguile.h>
 #include <libguile/fluids.h>
 
@@ -401,7 +400,7 @@
 
 void init_scwm_guile()
 {
-  run_hook_proc = gh_lookup("run-hook");
+  run_hook_proc = scm_variable_ref (scm_c_lookup ("run-hook"));
 
 #ifndef SCM_MAGIC_SNARF_INITS
 #include "scwm_guile.x"
diff -ur gwave-code-249-trunk.orig/src/scwm_guile.h gwave-code-249-trunk/src/scwm_guile.h
--- gwave-code-249-trunk.orig/src/scwm_guile.h	2008-01-22 20:52:08.000000000 -0700
+++ gwave-code-249-trunk/src/scwm_guile.h	2016-08-15 11:35:19.686041341 -0600
@@ -12,7 +12,7 @@
 #define SCWM_GUILE_H__
 
 #include "arg_unused.h"
-#include <guile/gh.h>
+#include <libguile.h>
 #include "validate.h"
 #include <xsnarf.h>
 
diff -ur gwave-code-249-trunk.orig/src/validate.h gwave-code-249-trunk/src/validate.h
--- gwave-code-249-trunk.orig/src/validate.h	2008-01-19 12:28:50.000000000 -0700
+++ gwave-code-249-trunk/src/validate.h	2016-08-15 11:35:19.686041341 -0600
@@ -192,20 +192,20 @@
 
 #define VALIDATE_ARG_STR_NEWCOPY(pos,scm,pch) \
   do { \
- if (SCM_NFALSEP (scm_string_p(scm))) pch = gh_scm2newstr(scm,NULL); \
+ if (SCM_NFALSEP (scm_string_p(scm))) pch = scm_to_locale_string(scm); \
   else { pch = NULL; scm_wrong_type_arg(FUNC_NAME,pos,scm); } \
   } while (0)
 
 #define VALIDATE_ARG_STR_NEWCOPY_LEN(pos,scm,pch,len) \
   do { \
- if (SCM_NFALSEP (scm_string_p(scm))) pch = gh_scm2newstr(scm,&len); \
+ if (SCM_NFALSEP (scm_string_p(scm))) pch = scm_from_locale_stringn(scm,&len); \
   else { pch = NULL; scm_wrong_type_arg(FUNC_NAME,pos,scm); } \
   } while (0)
 
 #define VALIDATE_ARG_STR_NEWCOPY_USE_NULL(pos,scm,pch) \
   do { \
   if (UNSET_SCM(scm)) pch = NULL; \
-  else if (SCM_NFALSEP (scm_string_p(scm))) pch = gh_scm2newstr(scm,NULL); \
+  else if (SCM_NFALSEP (scm_string_p(scm))) pch = scm_from_locale_string(scm); \
   else { pch = NULL; scm_wrong_type_arg(FUNC_NAME,pos,scm); } \
   } while (0)
 
